PaidGoods
API referenceStorefront themes

Built-in themes that can be installed (free and premium)

GET
/v1/stores/{storeId}/storefront/themes-catalog

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/storefront/themes-catalog"
{  "data": [    {      "base": "string",      "label": "string",      "description": "string",      "tags": [        "string"      ],      "layout": "string",      "bestFor": "string",      "version": "string",      "released": "string",      "installedCount": -9007199254740991,      "tier": "free",      "priceMinor": -9007199254740991,      "currency": "string",      "swatch": {        "bg": "string",        "fg": "string",        "accent": "string"      }    }  ]}